JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_ScopeGuard.h File Reference

## Classes
struct | ScopeGuard< Fn >
| An easy way to ensure that a function is called at the end of the current scope. More...
class | ErasedScopeGuard
| A ScopeGuard that uses a std::function internally to allow type erasure. More...

## Functions
template<typename Fn >
| ScopeGuard (Fn) -> ScopeGuard< Fn >